import { DefinitionBaseDescription } from "./DefinitionBaseDescription";
import { GridColumnAnimationSettingsDescription } from "./GridColumnAnimationSettingsDescription";
import { ColumnWidthDescription } from "./ColumnWidthDescription";
import { ColumnFilterConditionDescription } from "./ColumnFilterConditionDescription";
import { FilterExpressionDescription } from "./FilterExpressionDescription";
import { HeaderDescription } from "./HeaderDescription";
import { FilterOperandDescription } from "./FilterOperandDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class ColumnDescription extends DefinitionBaseDescription {
    static $t: Type;
    protected get_type(): string;
    private static __canMarshalByValue;
    constructor();
    private da;
    paddingLeft: number;
    private dc;
    paddingTop: number;
    private db;
    paddingRight: number;
    private c9;
    paddingBottom: number;
    private d3;
    name: string;
    private dy;
    field: string;
    private d0;
    headerText: string;
    private dl;
    actualHeaderText: string;
    private d7;
    selectedBackground: string;
    private dq;
    actualSelectedBackground: string;
    private d5;
    rowHoverBackground: string;
    private dn;
    actualHoverBackground: string;
    private d6;
    rowHoverTextColor: string;
    private dp;
    actualRowHoverTextColor: string;
    private ca;
    animationSettings: GridColumnAnimationSettingsDescription;
    private b6;
    width: ColumnWidthDescription;
    private c4;
    minWidth: number;
    private cm;
    isFromMarkup: boolean;
    private ch;
    isAutoGenerated: boolean;
    private b4;
    filter: ColumnFilterConditionDescription;
    private b8;
    filterExpression: FilterExpressionDescription;
    private cc;
    header: HeaderDescription;
    private cl;
    isFilteringEnabled: boolean;
    private co;
    isResizingEnabled: boolean;
    private cn;
    isHidden: boolean;
    private cp;
    shouldRemoveWhenHidden: boolean;
    private d8;
    sortDirection: string;
    private d4;
    pinned: string;
    private dh;
    actualColumnOptionsIconAlignment: string;
    private dr;
    columnOptionsIconAlignment: string;
    private dj;
    actualColumnOptionsIconColor: string;
    private dt;
    columnOptionsIconColor: string;
    private ds;
    columnOptionsIconBehavior: string;
    private di;
    actualColumnOptionsIconBehavior: string;
    private cf;
    actualIsColumnOptionsEnabled: boolean;
    private ci;
    isColumnOptionsEnabled: boolean;
    private cg;
    actualIsColumnOptionsSummariesEnabled: boolean;
    private cj;
    isColumnOptionsSummariesEnabled: boolean;
    private ck;
    isEditable: boolean;
    private du;
    deletedTextColor: string;
    private dk;
    actualDeletedTextColor: string;
    private c3;
    editOpacity: number;
    private c1;
    actualEditOpacity: number;
    private dv;
    editFontFamily: string;
    private c2;
    editFontSize: number;
    private dw;
    editFontStyle: string;
    private dx;
    editFontWeight: string;
    private d2;
    mergedCellMode: string;
    private d1;
    mergedCellEvaluationCriteria: string;
    private dz;
    filterComparisonType: string;
    private b2;
    filterOperands: FilterOperandDescription[];
    private dm;
    actualHeaderTextChangeRef: string;
}
