import { Description } from "./Description";
import { RectDescription } from "./RectDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class DomainChartDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    readonly type: string;
    constructor();
    private a9;
    pixelScalingRatio: number;
    private bm;
    titleLeftMargin: number;
    private bn;
    titleRightMargin: number;
    private bo;
    titleTopMargin: number;
    private bl;
    titleBottomMargin: number;
    private bh;
    subtitleLeftMargin: number;
    private bj;
    subtitleTopMargin: number;
    private bi;
    subtitleRightMargin: number;
    private bg;
    subtitleBottomMargin: number;
    private dv;
    subtitleTextColor: string;
    private dy;
    titleTextColor: string;
    private a6;
    leftMargin: number;
    private bp;
    topMargin: number;
    private bf;
    rightMargin: number;
    private a4;
    bottomMargin: number;
    private cl;
    transitionDuration: number;
    private d1;
    transitionEasingFunctionRef: string;
    private dw;
    subtitleTextStyle: string;
    private dz;
    titleTextStyle: string;
    private c8;
    dataSourceRef: string;
    private j;
    includedProperties: string[];
    private i;
    excludedProperties: string[];
    private h;
    brushes: string[];
    private n;
    outlines: string[];
    private f;
    actualBrushes: string[];
    private g;
    actualOutlines: string[];
    private dg;
    legendRef: string;
    private ai;
    isHorizontalZoomEnabled: boolean;
    private ak;
    isVerticalZoomEnabled: boolean;
    private am;
    shouldDisplayMockData: boolean;
    private an;
    shouldUseSkeletonStyleForMockData: boolean;
    private aj;
    isSeriesHighlightingEnabled: boolean;
    private z;
    windowRect: RectDescription;
    private cz;
    chartTitle: string;
    private dt;
    subtitle: string;
    private dx;
    titleAlignment: string;
    private du;
    subtitleAlignment: string;
    private d3;
    unknownValuePlotting: string;
    private be;
    resolution: number;
    private bk;
    thickness: number;
    private dk;
    outlineMode: string;
    private dj;
    markerOutlineMode: string;
    private di;
    markerFillMode: string;
    private a7;
    markerFillOpacity: number;
    private a8;
    markerThickness: number;
    private m;
    markerTypes: string[];
    private dh;
    markerAutomaticBehavior: string;
    private k;
    markerBrushes: string[];
    private l;
    markerOutlines: string[];
    private ck;
    markerMaxCount: number;
    private a1;
    areaFillOpacity: number;
    private ac;
    animateSeriesWhenAxisRangeChanges: boolean;
    private o;
    trendLineBrushes: string[];
    private d2;
    trendLineType: string;
    private bq;
    trendLineThickness: number;
    private ab;
    alignsGridLinesToPixels: boolean;
    private bb;
    plotAreaMarginLeft: number;
    private bd;
    plotAreaMarginTop: number;
    private bc;
    plotAreaMarginRight: number;
    private ba;
    plotAreaMarginBottom: number;
    private c0;
    computedPlotAreaMarginMode: string;
    private dc;
    highlightingMode: string;
    private db;
    highlightingBehavior: string;
    private dd;
    legendHighlightingMode: string;
    private df;
    legendItemBadgeShape: string;
    private de;
    legendItemBadgeMode: string;
    private al;
    shouldAutoExpandMarginForInitialLabels: boolean;
    private a2;
    autoExpandMarginExtraPadding: number;
    private a3;
    autoExpandMarginMaximumValue: number;
    private cm;
    trendLinePeriod: number;
    private d0;
    toolTipType: string;
    private c5;
    crosshairsDisplayMode: string;
    private ag;
    crosshairsSnapToData: boolean;
    private c7;
    crosshairsLineVerticalStroke: string;
    private a5;
    crosshairsLineThickness: number;
    private c6;
    crosshairsLineHorizontalStroke: string;
    private af;
    crosshairsAnnotationEnabled: boolean;
    private c1;
    crosshairsAnnotationXAxisBackground: string;
    private c3;
    crosshairsAnnotationYAxisBackground: string;
    private c2;
    crosshairsAnnotationXAxisTextColor: string;
    private c4;
    crosshairsAnnotationYAxisTextColor: string;
    private ch;
    crosshairsAnnotationXAxisPrecision: number;
    private ci;
    crosshairsAnnotationYAxisPrecision: number;
    private ah;
    finalValueAnnotationsVisible: boolean;
    private c9;
    finalValueAnnotationsBackground: string;
    private da;
    finalValueAnnotationsTextColor: string;
    private cj;
    finalValueAnnotationsPrecision: number;
    private ae;
    calloutsVisible: boolean;
    private ad;
    calloutStyleUpdatingEventEnabled: boolean;
    private cu;
    calloutsDataSourceRef: string;
    private cx;
    calloutsXMemberPath: string;
    private cy;
    calloutsYMemberPath: string;
    private cv;
    calloutsLabelMemberPath: string;
    private ct;
    calloutsContentMemberPath: string;
    private dl;
    seriesAddedRef: string;
    private ds;
    seriesRemovedRef: string;
    private dn;
    seriesPointerEnterRef: string;
    private dp;
    seriesPointerLeaveRef: string;
    private dq;
    seriesPointerMoveRef: string;
    private dm;
    seriesPointerDownRef: string;
    private dr;
    seriesPointerUpRef: string;
    private cw;
    calloutStyleUpdatingRef: string;
}
