import { Description } from "./Description";
import { SeriesDescription } from "./SeriesDescription";
import { PointDescription } from "./PointDescription";
import { RectDescription } from "./RectDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class SeriesViewerDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    readonly type: string;
    constructor();
    private j;
    series: SeriesDescription[];
    private f;
    brushes: string[];
    private i;
    outlines: string[];
    private g;
    markerBrushes: string[];
    private h;
    markerOutlines: string[];
    private cm;
    markerAutomaticBehavior: string;
    private p;
    crosshairPoint: PointDescription;
    private cl;
    legendRef: string;
    private z;
    animateSeriesWhenAxisRangeChanges: boolean;
    private ad;
    isWindowSyncedToVisibleRange: boolean;
    private af;
    shouldSimulateHoverMoveCrosshairPoint: boolean;
    private ch;
    highlightingMode: string;
    private cg;
    highlightingBehavior: string;
    private ci;
    legendHighlightingMode: string;
    private ck;
    legendItemBadgeShape: string;
    private cj;
    legendItemBadgeMode: string;
    private s;
    effectiveViewport: RectDescription;
    private u;
    windowRect: RectDescription;
    private ag;
    useTiledZooming: boolean;
    private ae;
    preferHigherResolutionTiles: boolean;
    private b4;
    zoomTileCacheSize: number;
    private b3;
    highlightingTransitionDuration: number;
    private ab;
    isPagePanningAllowed: boolean;
    private cb;
    contentHitTestMode: string;
    private b7;
    actualContentHitTestMode: string;
    private ac;
    isSurfaceInteractionDisabled: boolean;
    private dk;
    windowResponse: string;
    private bd;
    windowRectMinWidth: number;
    private cc;
    crosshairVisibility: string;
    private dl;
    zoomCoercionMode: string;
    private co;
    plotAreaBackground: string;
    private cd;
    defaultInteraction: string;
    private cw;
    rightButtonDefaultInteraction: string;
    private ce;
    dragModifier: string;
    private cn;
    panModifier: string;
    private t;
    previewRect: RectDescription;
    private bb;
    windowPositionHorizontal: number;
    private bc;
    windowPositionVertical: number;
    private ca;
    chartTitle: string;
    private de;
    titleHorizontalAlignment: string;
    private c8;
    subtitleHorizontalAlignment: string;
    private dg;
    titleTextStyle: string;
    private da;
    subtitleTextStyle: string;
    private df;
    titleTextColor: string;
    private c9;
    subtitleTextColor: string;
    private a9;
    titleTopMargin: number;
    private a7;
    titleLeftMargin: number;
    private a8;
    titleRightMargin: number;
    private a5;
    titleBottomMargin: number;
    private a4;
    subtitleTopMargin: number;
    private a2;
    subtitleLeftMargin: number;
    private a3;
    subtitleRightMargin: number;
    private a0;
    subtitleBottomMargin: number;
    private c4;
    subtitle: string;
    private ba;
    topMargin: number;
    private ax;
    leftMargin: number;
    private az;
    rightMargin: number;
    private av;
    bottomMargin: number;
    private au;
    autoMarginWidth: number;
    private at;
    autoMarginHeight: number;
    private aa;
    isAntiAliasingEnabledDuringInteraction: boolean;
    private ay;
    pixelScalingRatio: number;
    private aw;
    interactionPixelScalingRatio: number;
    private aq;
    actualPixelScalingRatio: number;
    private ap;
    actualInteractionPixelScalingRatio: number;
    private r;
    actualWindowRect: RectDescription;
    private ar;
    actualWindowPositionHorizontal: number;
    private as;
    actualWindowPositionVertical: number;
    private cs;
    plotAreaMouseLeftButtonDownRef: string;
    private ct;
    plotAreaMouseLeftButtonUpRef: string;
    private cp;
    plotAreaClickedRef: string;
    private cq;
    plotAreaMouseEnterRef: string;
    private cr;
    plotAreaMouseLeaveRef: string;
    private cu;
    plotAreaMouseOverRef: string;
    private cx;
    seriesCursorMouseMoveRef: string;
    private c0;
    seriesMouseLeftButtonDownRef: string;
    private c1;
    seriesMouseLeftButtonUpRef: string;
    private c2;
    seriesMouseMoveRef: string;
    private cy;
    seriesMouseEnterRef: string;
    private cz;
    seriesMouseLeaveRef: string;
    private di;
    viewerManipulationStartingRef: string;
    private dh;
    viewerManipulationEndingRef: string;
    private dj;
    windowRectChangedRef: string;
    private c3;
    sizeChangedRef: string;
    private b8;
    actualWindowRectChangedRef: string;
    private cf;
    gridAreaRectChangedRef: string;
    private cv;
    refreshCompletedRef: string;
    private b9;
    background: string;
    private db;
    titleFontFamily: string;
    private a6;
    titleFontSize: number;
    private dd;
    titleFontWeight: string;
    private dc;
    titleFontStyle: string;
    private c5;
    subtitleFontFamily: string;
    private a1;
    subtitleFontSize: number;
    private c7;
    subtitleFontWeight: string;
    private c6;
    subtitleFontStyle: string;
}
